app.controller('editPasswordCtrl', ['$scope', '$timeout', '$ionicPopup', '$ionicHistory', 'userService', 'userLocationFactory', function($scope, $timeout, $ionicPopup, $ionicHistory, userService, userLocationFactory){
    $scope.user = {};
    $scope.user.userMobile = userLocationFactory.user().phone;
    $scope.clockNum = 60;
    $scope.qrcodeGeted = false;
    $scope.vcode = '';

    $scope.init = function(){
        $scope.clockNum = 60;
    };
    $scope.getQrcode = function(){

        $scope.init();
        $scope.qrcodeGeted = true;
        $scope.clockMinus();
        userService.sendVCode(function(msg){
            if(msg != -1){
                $scope.vcode = msg;
            }
        }, $scope.user.userMobile);

    };
    $scope.clockMinus = function(){
        $scope.clockNum--;
        $timeout(function(){
            if($scope.clockNum == 0){
                $timeout.cancel();
            }else{
                $scope.clockMinus();
            }
        }, 1000);
    };

    $scope.changPassword = function(form){


        if($scope.user.userPassword != $scope.user.userConfirmPassword){
            form.userConfirmPassword.$error.confirm = true;
            form.$invalid = true;
            form.$valid = false;
        }else{
            form.userConfirmPassword.$error.confirm = false;
        }
        if($scope.user.userQrcode != $scope.vcode){
            form.userQrcode.$error.confirm = true;
            form.$invalid = true;
            form.$valid = false;
        }else{
            form.userQrcode.$error.confirm = false;
        }
        if(form.$valid){
            userService.changeUserPassword(function(data){
                $ionicPopup.alert({
                    title: '提示信息',
                    template: data.resultMsg,
                    buttons:[
                        {
                            text: '确定',
                            type: 'button-assertive'
                        }
                    ]
                })
                .then(function(res) {
                    if(data.resultCode=='success'){
                        $ionicHistory.goBack();
                    }
                });
            }, $scope.user.userMobile, $scope.user.userPassword);
        }
    };

}]);
