app.controller('evaluationCtrl', ['$scope', 'commentService', 'paginationFactory', function($scope, commentService, paginationFactory) {
    var page = paginationFactory.init();

    $scope.goodsId = window.localStorage.getItem('evaluationList');
    $scope.evaluationList = [];
    $scope.noEvaluation = false;
    $scope.dataEnd = false;
    $scope.scrool = true;

    $scope.loadMore = function(){
        $scope.loadGoods();
    };

    $scope.loadGoods = function() {
    	if( !$scope.scrool ) {
        	return;
        }
        $scope.scrool = false;
        commentService.getCommentListByGoodsId(function(data) {
            if (data && data.length) {
                $scope.evaluationList = $scope.evaluationList.concat(data);
            }
            $scope.noEvaluation = data.length == 0 && page.getCurrentPage() == 1;
            $scope.dataEnd = data.length == 0;
            $scope.scrool = true;
            $scope.hideLoading();
            $scope.$broadcast('scroll.infiniteScrollComplete');
        }, $scope.goodsId, page);
    };
    $scope.$on('evaluation-init', function(){
        $scope.loadGoods();
    });

}]);
