app.controller('productDetailsCtrl', ['$scope', '$timeout', '$ionicSlideBoxDelegate', 'goodsService', 'userLocationFactory', '$ionicPopup', function($scope, $timeout, $ionicSlideBoxDelegate, goodsService, userLocationFactory, $ionicPopup){
    var init = function(){
        var resource = window.localStorage.getItem('productDetailsResource');
        var phone = userLocationFactory.user().phone;
        goodsService.goodsSpuDetails(function(data){
            $scope.canSale = data.resultCode == 'success';
            $scope.goodsMsg = data.resultMsg;
            $scope.goods = data.resultTO;
            // $scope.goods.goodsSpuScanCodeCoupon = {msg:'扫码李建1元',priceDown:1};
            // angular.forEach($scope.goods.goodsSpuSku, function(sku){
            //     sku.goodsSkuScanDown = 0;
            //     sku.goodsSkuScanLimit = 3;
            // });
            if(!$scope.canSale){
                $ionicPopup.alert({
                    title: '提示信息',
                    template: $scope.goodsMsg || '程序错误',
                    okText: '确定'
                }).then(function(){
                    $scope.toHome();
                });
            }
            $scope.goods.goodsSpuNote = $scope.goods.goodsSpuDescribe.substr(0,50)+' ...'||'商品介绍';
            $scope.goodsList = [$scope.goods];
            $scope.hideLoading();
            $timeout(function(){
                $scope.goodsSeries = $scope.goods.googsSpuImgsSeries;
                var productDetailSlideBoxHandle = $ionicSlideBoxDelegate.$getByHandle('productDetailSlideBoxHandle');
                productDetailSlideBoxHandle.loop(true);
                productDetailSlideBoxHandle.update();
                productDetailSlideBoxHandle.start();
            }, 300);
        }, $scope.goodsId, resource, phone);
    };
    $scope.goodsList = [];
    $scope.goods = {};
    $scope.goodsSeries = [];
    $scope.canSale = true;
    $scope.goodsMsg = '';
    $scope.goodsId = parseInt(window.localStorage.getItem('productDetails'));
    $scope.productHeight = productHeight;
    $scope.detailsHeight = window.innerHeight + 10;

    $scope.loadding = false;
    $scope.endData = false;
    $scope.hasLoading = false;

    $scope.loadMore = function(){

        if(!$scope.hasLoading){
            $scope.loadding = true;
            $scope.hasLoading = true;
            goodsService.queryGoodsSpuDescribeHtml(function(data){
                $scope.goods.tuwen = data.resultTO||'<p style="text-align:center;font-size:0.9em;">暂无介绍</p>';
                $scope.$broadcast('scroll.infiniteScrollComplete');
                $timeout(function(){
                    $scope.endData = true;
                    $scope.loadding = false;
                }, 600);
            }, $scope.goodsId);
        }
    };
    $scope.$on('product-details-init', function(){
        init();
    });

}]);