app.controller('userIntegralCtrl', ['$scope', 'userService', 'paginationFactory', 'userLocationFactory', function($scope, userService, paginationFactory, userLocationFactory) {
    var pageObj = paginationFactory.init({ perPage: 8 });
    $scope.point = 0;
    $scope.pointList = [];
    $scope.loading = false;
    $scope.dataEnd = false;
    $scope.empty = false;

    $scope.getData = function() {
        if (!$scope.loading) {
            $scope.loading = true;
            // var userMobile = '18203221346';

            var userMobile = userLocationFactory.user().phone;
            userService.getPoint(function(data) {
                var dataList = [];

                if(data && data.resultCode=='success'){
                  dataList = data.resultTO.pointDetail;
                  $scope.point = data.resultTO.restPoint;
                  $scope.pointList = $scope.pointList.concat(dataList);
                }

                $scope.empty = dataList.length>0;
                $scope.loading = false;
                $scope.dataEnd = dataList.length < pageObj.getPerPage();
                $scope.$broadcast('scroll.infiniteScrollComplete');
            }, userMobile, pageObj);
        }
    };

    $scope.$on('integral-page-init', function() {
        $scope.getData();
    });
}]);
