/**
 * Created by cwt on 2015/9/6.
 */
app.controller('addressMessageCtrl', ['$scope', 'userService', 'userLocationFactory', 'communalLocationFactory', function($scope, userService, userLocationFactory, communalLocationFactory){
    $scope.testData = [];
    $scope.userMobile = userLocationFactory.user().phone;
//        $scope.userMobile = userLocationFactory.isLoggedIn;
    $scope.UDASwitch = true;
    /**
     * 修改默认地址
     * @param key
     * @param addressId
     */
    $scope.updateDefaultAddress = function(addressId) {
        if( $scope.UDASwitch ) {
            $scope.UDASwitch = false;

            userService.updateUserDefaultAddress(function(data){
                if( data == 1 ) {
                    $scope.testData.defaultAddress = arrayGetItemByKey($scope.testData.commenAddress, 'addressId', addressId);
                    $scope.UDASwitch = true;
                    var urlSource = window.localStorage.getItem('DefaultAddressUrlSource');
                    if(urlSource){
                        $scope.toOrderCommit();
                    }
                }
            },$scope.userMobile,addressId);
        }
    };

    /**
     * 修改用户地址
     * @param key
     */
    $scope.updateUserAddress = function(addressId) {
        var address = arrayGetItemByKey($scope.testData.commenAddress, 'addressId', addressId);
        communalLocationFactory.updateAddress.put("address_message_updateAddress", address);
        $scope.toCreateAddress("address-message");
    };

    /**
     * 删除用户地址
     * @param addressId
     */
    $scope.deleteUserAddress = function(addressId) {
        userService.deleteUserAddressByAddressId(function(data){
            if( data == 1 ) {
                $scope.getUserAddressList();
            }
        },addressId);
    };


    /**
     * 获取用户地址列表
     */
    $scope.getUserAddressList = function(){
        userService.queryUserAddressByUserTable(function(data){
            $scope.testData = data;
            $scope.hideLoading();
        },$scope.userMobile);
    };


    $scope.init = function(){
        $scope.getUserAddressList();
    };

    $scope.$on('address-message-init', function(){
        $scope.init();
    });

}]);