/**
 * Created by cwt on 2015/9/8.
 */
app.controller('findCommunityCtrl', ['$scope', '$rootScope', 'userService', '$ionicNavBarDelegate', function($scope, $rootScope, userService, $ionicNavBarDelegate){
//    {"communityAddress":"","communityArea":"","communityCity":"","communityId":2,"communityLongitudeLatitude":{"longitude":115.4695250249,"latitude":38.842916979114},"communityName":"长城家园小区","communityPartition":"","communityStatus":0,"communityStreet":"","distance":0,"latitude":0,"longitude":0,"orderNum":0}
    $scope.hfPosition = $rootScope.hfPosition||{};

    $scope.communityData = [];

    $scope.searchName = "";

    /**
     * 清空
     */
    $scope.clearSearchName = function() {
        $scope.searchName = "";
    };
    /**
     * 获取小区列表
     * @param searchName
     */
    $scope.getCommunityList = function( searchName ) {
        userService.getCommunity(function(data){
            $scope.communityData = data;
            $scope.hideLoading();
        },searchName);
    };
    /**
     * 选择小区
     * @param communityName
     * @param communityId
     */
    $scope.choiceCommunity = function( communityName, communityId ) {
        localStorage.setItem("find_community_communityName", communityName);
        localStorage.setItem("find_community_communityId", communityId);
        $scope.data = {
            communityId: communityId,
            communityName: communityName
        };
        $scope.toCreateAddress($scope.data);
    };
    /**
     * 返回上一页面
     */
    $scope.goBack = function() {
        $ionicNavBarDelegate.back();
    };
    /**
     *  初始化页面
     */
    $scope.init = function() {
        $scope.getCommunityList( $scope.searchName );

    };

    $scope.init();
}]);