app.controller('onlinePayCtrl', ['$scope', 'orderService', function($scope, orderService){
    $scope.onlinPayObj = {};
    $scope.payChoice = "alipay";
    $scope.sureSwich = true;

    $scope.loadOnlinePay = function(){
        var onlinePayArr = window.localStorage.getItem('onlinePayString').split(";:;");
        $scope.onlinPayObj.orderNum = onlinePayArr[0];
        $scope.onlinPayObj.goodsName = onlinePayArr[1];
        $scope.onlinPayObj.goodsDescription = onlinePayArr[2];
        $scope.onlinPayObj.price = onlinePayArr[3];
        $scope.onlinPayObj.contactPerson = onlinePayArr[4];
        $scope.onlinPayObj.addressContent = onlinePayArr[5];
        $scope.onlinPayObj.orderId = onlinePayArr[6];
        window.localStorage.removeItem('onlinePayString');
        window.localStorage.setItem("orderInfoOrderId",$scope.onlinPayObj.orderId);
    };

    $scope.choicePay = function( mode ) {
        $scope.payChoice = mode;
    };

    $scope.goOnLinePay = function () {

        if( $scope.sureSwich ){
            $scope.sureSwich = false;
            $scope.onlinePay( $scope.onlinPayObj, $scope.payChoice );
        }
    };

    $scope.backOrderInfo = function () {
        var versionV2 = (typeof orderListVersion) === 'function' && orderListVersion(appEnvironment) == 'v2';
        if( versionV2 ){
            $scope.toOrderList();
        }else{
            $scope.toOrderInfo( $scope.onlinPayObj.orderId );
        }
    };

    $scope.loadOnlinePay();
}]);

