/**
 * Created by cwt on 2015/10/1.
 */
app.controller('orderTrackingCtrl', ['$scope', '$timeout', 'orderService', function($scope, $timeout, orderService) {

    /**
     * 订单Id
     * @type {Number}
     */
    // $scope.orderId = 1;
    $scope.orderId = parseInt(window.localStorage.getItem("orderInfoOrderId"));
    $scope.orderAppNum = window.localStorage.getItem("orderTrackingOrderAppNum");
    //console.log("$scope.orderAppNum:"+$scope.orderAppNum);

    $scope.orderTrackingData = [];

    $scope.orderInfoIsV2 = (typeof orderListVersion) === 'function' && orderListVersion(appEnvironment) == 'v2';

    /**
     * 获取总订单的追踪情况
     *
     */
    // $scope.getOrderTrackingAndStatus = function() {
    //     orderService.getOrderTrackingAndStatus(function(msg) {
    //         console.log("getOrderTrackingAndStatus:" + JSON.stringify(msg));
    //         if (msg.length > 0) {
    //             $scope.orderTrackingData = msg;
    //         }
    //         $scope.hideLoading();
    //     }, $scope.orderId);
    // };

    /**
     * 获取子订单的追踪情况
     * @return {}
     */
    $scope.getBossOrderTrackingAndStatus = function() {
        var orderNumApp = window.localStorage.getItem("orderTrackingOrderAppNum");

        if($scope.orderInfoIsV2){
            orderService.queryBossOrderTrackingAndStatus(function(msg) {
                if(msg && msg.resultCode == 'success'){
                    $scope.orderTrackingData = msg.resultTO || [];
                }
                $scope.hideLoading();
            }, orderNumApp);
        }else{
             orderService.getBossOrderTrackingAndStatus(function(msg) {
                if(msg && msg.resultCode == 'success'){
                    $scope.orderTrackingData = msg.resultTO || [];
                }
                $scope.hideLoading();
            }, orderNumApp);
        }
    };

    /**
     * 初始化页面
     */
    $scope.init = function() {
        $scope.getBossOrderTrackingAndStatus();
    };

    $scope.$on('order-tracking-init', function() {
        $scope.init();
    });

}]);
