app.controller('retrievePasswordCtrl', ['$scope', '$timeout', '$ionicPopup', 'userService', function($scope, $timeout, $ionicPopup, userService){
    $scope.user = {};
    $scope.errors = false;
    $scope.clockNum = 60;
    $scope.clicked = false;
    $scope.check = {
        checkMobile: checkMobile
    };
    $scope.init = function(){
        $scope.user = {};
        $scope.errors = false;
        $scope.clockNum = 60;
    };
    $scope.showErrors = function(){
        $scope.errors = true;
    };
    $scope.getPassword = function(form){
        $scope.clicked = true;
        if(form.$valid){
            userService.queryUserPassword(function(data){
                var html = '获取失败，请稍后重试！';
                if(data.resultCode=='success'){
                    html = '获取成功，已发送到手机 ' + $scope.user.userPhone + '，请注意查收！';
                }
                $ionicPopup.alert({
                    title: '提示信息',
                    template: html,
                    buttons:[
                        {
                            text: '确定',
                            type: 'button-assertive'
                        }
                    ]
                })
                .then(function(res){
                    $scope.init();
                });
            }, $scope.user.userPhone);
        }else{
            $scope.showErrors();
        }
        $scope.clockMinus();
    };

    $scope.clockMinus = function(){
        $scope.clockNum--;
        $timeout(function(){
            if($scope.clockNum == 0){
                $timeout.cancel();
            }else{
                $scope.clockMinus();
            }
        }, 1000);
    };
}]);

