app.controller('shopDetailsCtrl', ['$scope', 'goodsService', 'shopBrandService', function($scope, goodsService, shopBrandService){
    $scope.shop = {};
    $scope.shopBrandId = parseInt(window.localStorage.getItem('shopDetails'))||1;
    $scope.promotionGoodsList = [];
    var init = function(){
        shopBrandService.queryShopBrandDetails(function(data){
            $scope.shop = data.resultTO;
            goodsService.queryShopGoodsList(function(goodsList){
                var _list = [];
                var length = Math.min(goodsList.length, 3);

                for(var i=0; i<length; i++){
                    var goods = goodsList[i];

                    goods.goodsImgUrl = parseImgUrlNew(goods.goodsSpuImgs, 'small');
                    goods.goodsNote = (goods.goodsSpuName + goods.goodsSpuDescribe).substr(0, 15) + '...';
                    goods.promotionTypeKey = promotionTypeToKeyNew(goods.goodsSpuPromotionInfo||{});
                    _list.push(goods);
                }

                $scope.promotionGoodsList = _list;
            }, data.resultTO.shopBrandName, {promotion: [4,5]});
            $scope.hideLoading();
        }, $scope.shopBrandId);
    };
    $scope.$on('shop-details-init', function(){
        init();
    });

}]);
