/**
* pagination Module
*
* 分页
*/
angular.module('Pagination', [])
.factory('paginationFactory', function() {
    var service = {};

    var page = function(options) {
        this._currenrPage = options.currenrPage || 1;
        this._perPage = options.perPage || 10;
    };

    page.prototype.setCurrentPage = function(page) {
        this._currenrPage = page;
    };
    page.prototype.setPerPage = function(perPage) {
        this._perPage = perPage;
    };
    page.prototype.getCurrentPage = function() {
        return this._currenrPage;
    };
    page.prototype.getPerPage = function() {
        return this._perPage;
    };
    page.prototype.updateCurrentPage = function() {
        ++this._currenrPage;
    };
    service.init = function(opts) {
        return new page(opts || {});
    };

    return service;
});
